Requirements

 

Maps4Smart supports the two latest versions of the following browsers for users and candidates:

  • Apple Safari

  • Google Chrome

  • Microsoft Edge 18 +

  • Mozilla Firefox

  • Opera